---


- name: Check if ~/.minikube exists
  become:      true
  become_user: "{{ username }}"
  stat:
    path:  "{{ minikube_conf_path }}"
  register: check


- name: minikube delete
  become:      true
  become_user: "{{ username }}"
  command:  "{{ minikube_bin_path }}/minikube delete"
  register: shell_minikube_delete
  when: check.stat.exists


- name: Remove ~/.minikube
  become:      true
  become_user: "{{ username }}"
  file:
    path:  "{{ minikube_conf_path }}"
    state: absent
  when: check.stat.exists

# use it for ansible version in buster
- name: pull an image
  docker_image:
    name: "{{ docker_image_name }}"
    tag:  "{{ docker_image_tag  }}"
    pull: yes
  register: docker_pull

# use it for ansible version in backports or bullseye
  #- name: pull an image
  #  docker_image:
  #    name: "{{ docker_image_name }}"
  #    source: pull
  #    tag:  "{{ docker_image_tag  }}"
